CategoryScores
Date: 2014-11-12

org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.data

## Class CategoryScores

- java.lang.Object
- - org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.data.CategoryScores

-     public class CategoryScores
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CategoryScores(java.math.BigInteger catElements, LexicalEngineConfiguration Config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `calculateCoverage()`
    `java.lang.String` | `findBest()`
    `java.util.ArrayList<java.lang.String>` | `findBestList()`
    `java.math.BigInteger` | `getCategoryElements()`
    `float` | `getScore(java.lang.String columnName)`
    `float` | `getScore(java.lang.String columnName, boolean simpleMatch)`
    `float` | `getSimpleScore(java.lang.String columnName)`
    `void` | `incrementScore(java.lang.String columnName, float increment, boolean doIncrementMathes)`
    `void` | `setCategoryElements(java.math.BigInteger categoryElements)`
    `java.lang.String` | `showScores()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CategoryScores

          public CategoryScores(java.math.BigInteger catElements,
                        LexicalEngineConfiguration Config)

  - ### Method Detail

    - #### calculateCoverage

          public double calculateCoverage()

    - #### showScores

          public java.lang.String showScores()

    - #### incrementScore

          public void incrementScore(java.lang.String columnName,
                            float increment,
                            boolean doIncrementMathes)

    - #### getScore

          public float getScore(java.lang.String columnName,
                       boolean simpleMatch)

    - #### getScore

          public float getScore(java.lang.String columnName)

    - #### getSimpleScore

          public float getSimpleScore(java.lang.String columnName)

    - #### findBest

          public java.lang.String findBest()

    - #### findBestList

          public java.util.ArrayList<java.lang.String> findBestList()

    - #### setCategoryElements

          public void setCategoryElements(java.math.BigInteger categoryElements)

    - #### getCategoryElements

          public java.math.BigInteger getCategoryElements()